{% extends 'submission/base.html.twig' %}

{% from 'comment/_macros.html.twig' import comment, comment_form %}
{% from 'submission/_macros.html.twig' import submission %}

{% block body %}
  {{ parent() }}

  {{ submission(submission) }}

  {% embed '_layouts/alert.html.twig' %}
    {% block alert_classes 'single-comment-alert' %}
    {% block alert_paragraph %}
      {{ 'comments.viewing_thread'|trans }}
      <a href="{{ path('submission', {forum_name: forum.name, submission_id: submission.id, slug: submission.title|slugify}) }}">
        {{- 'comments.thread_return'|trans -}}
      </a>
    {% endblock alert_paragraph %}
  {% endembed %}

  {{ comment(comment, {recurse: true, show_form: true}) }}
{% endblock %}
